#!/usr/bin/env batchflow
<?xml version="1.0"?>
<Document>
  <Network type="subnet" name="MAIN">
    <Node name="node_LOOP0_1" type="LOOP0" x="-278.000000" y="7.000000">
      <Parameter name="DOWHILE" type="bool" value="" description=""/>
    </Node>
    <Node name="node_CvfdWebcam_1" type="CvfdWebcam" x="-460.000000" y="7.000000">
      <Parameter name="INDEX" type="int" value="-1" description="Index of the camera to be used. If there is only one camera or it does not matter what camera to use -1 may be passed."/>
    </Node>
    <Link from="node_CvfdWebcam_1" output="VIDEO" to="node_LOOP0_1" input="VIDEO"/>
    <NetOutput name="IMAGEOUT" node="node_LOOP0_1" terminal="IMAGEOUT" object_type="any" description="No description available"/>
    <Note x="0" y="0" visible="0" text="Created with FlowDesigner 0.9.1"/>
  </Network>
  <Network type="iterator" name="LOOP0">
    <Node name="node_CvfdhShowImage_1" type="CvfdhShowImage" x="-27.000000" y="31.000000">
      <Parameter name="WINDOW_TITLE" type="string" value="BaseImage" description="Window title."/>
      <Parameter name="FLAGS" type="int" value="1" description="If it is set to 1, window size is automatically adjusted to fit the displayed image, while user can not change the window size manually."/>
    </Node>
    <Node name="node_CvfdQueryFrame_1" type="CvfdQueryFrame" x="-468.000000" y="38.000000"/>
    <Node name="node_CvfdhSmooth_1" type="CvfdhSmooth" x="-209.000000" y="31.000000">
      <Parameter name="FILTER_TYPE" type="string" value="BLUR" description="No Description Available"/>
    </Node>
    <Link from="node_CvfdQueryFrame_1" output="IMAGE" to="node_CvfdhSmooth_1" input="IMAGEIN"/>
    <Link from="node_CvfdhSmooth_1" output="IMAGEOUT" to="node_CvfdhShowImage_1" input="IMAGEIN"/>
    <NetOutput name="IMAGEOUT" node="node_CvfdhShowImage_1" terminal="IMAGEOUT" object_type="CvfdImage" description="Same as input image"/>
    <NetCondition name="CONDITION" node="node_CvfdQueryFrame_1" terminal="BOOL"/>
    <NetInput name="VIDEO" node="node_CvfdQueryFrame_1" terminal="VIDEO" object_type="CvfdVideo" description="Video capturing structure"/>
    <Note x="0" y="0" visible="0" text="Created with FlowDesigner 0.9.1"/>
  </Network>
</Document>
